Validate a weather download or import
Dry-run check that reports whether a weather download request is valid for the given provider, location, and parameters. Call this before POST /Weather/Download/{providerId} to surface configuration errors without consuming a provider download quota.
{
"name": "<string>",
"latitude": 123,
"longitude": 123,
"id": 123,
"description": "<string>",
"status": 0,
"source": 0,
"stationName": "<string>",
"stationCode": "<string>",
"format": 1,
"elevation": 123,
"timeZone": 123,
"timestampDefinition": 0,
"timeInterval": 123,
"startDate": "<string>",
"endDate": "<string>",
"dataProvider": 1,
"dataType": 0,
"country": "<string>",
"countryCode": "<string>",
"stateProvince": "<string>",
"stateProvinceCode": "<string>",
"locality": "<string>",
"region": "<string>",
"globalHorizontalIrradianceSum": 123,
"diffuseHorizontalIrradianceSum": 123,
"directNormalIrradianceSum": 123,
"planeOfArrayIrradianceSum": 123,
"averageAirTemperature": 123,
"averageWindSpeed": 123,
"weatherDetails": [
{}
],
"pLevel": 123,
"windSensorHeight": 123,
"offsetMinutes": 123,
"moduleTilt": 123,
"moduleAzimuth": 123,
"trackingType": 0,
"groundCoverageRatio": 123,
"companyId": 123,
"createdDate": "<string>"
}{
"message": "The request is invalid.",
"modelState": {
"latitude": [
"The field Latitude must be between -90 and 90."
]
}
}An error has occurred.Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Body
LibraryStatusEnum
0, 1, 2, 3, 4, 5, 6 WeatherSourceTypeAPIEnum
0, 1, 2, 3, 4, 5, 6, 7, 8, 9 WeatherFormat
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 WeatherTimestampDefinitionEnum
0, 1, 2, 3 ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
WeatherDataProvider
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23 WeatherDataType
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 DCFieldTrackingTypeEnum
0, 1, 2 Response
Validation result
LibraryStatusEnum
0, 1, 2, 3, 4, 5, 6 WeatherSourceTypeAPIEnum
0, 1, 2, 3, 4, 5, 6, 7, 8, 9 WeatherFormat
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 WeatherTimestampDefinitionEnum
0, 1, 2, 3 ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
WeatherDataProvider
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23 WeatherDataType
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 DCFieldTrackingTypeEnum
0, 1, 2 ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
{
"name": "<string>",
"latitude": 123,
"longitude": 123,
"id": 123,
"description": "<string>",
"status": 0,
"source": 0,
"stationName": "<string>",
"stationCode": "<string>",
"format": 1,
"elevation": 123,
"timeZone": 123,
"timestampDefinition": 0,
"timeInterval": 123,
"startDate": "<string>",
"endDate": "<string>",
"dataProvider": 1,
"dataType": 0,
"country": "<string>",
"countryCode": "<string>",
"stateProvince": "<string>",
"stateProvinceCode": "<string>",
"locality": "<string>",
"region": "<string>",
"globalHorizontalIrradianceSum": 123,
"diffuseHorizontalIrradianceSum": 123,
"directNormalIrradianceSum": 123,
"planeOfArrayIrradianceSum": 123,
"averageAirTemperature": 123,
"averageWindSpeed": 123,
"weatherDetails": [
{}
],
"pLevel": 123,
"windSensorHeight": 123,
"offsetMinutes": 123,
"moduleTilt": 123,
"moduleAzimuth": 123,
"trackingType": 0,
"groundCoverageRatio": 123,
"companyId": 123,
"createdDate": "<string>"
}{
"message": "The request is invalid.",
"modelState": {
"latitude": [
"The field Latitude must be between -90 and 90."
]
}
}An error has occurred.